<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/03/2009 *
 * ===================                          Last change: 04/03/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : config-global.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Global configuration                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Globale Konfiguration                            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

/************************************************************************
 *      PLEASE DO NOT EDIT THE COMMENTS! install.php NEEDS THEM!        *
 ************************************************************************/

// Proper function exists?
if (function_exists('date_default_timezone_set')) {
	// Set default timezone to Europe/Berlin (because I'm from Germany)
	@date_default_timezone_set('Europe/Berlin');
} // END - if

// CFG: ERROR_REPORTING
error_reporting(E_ALL | E_STRICT);

// CFG: REGISTER-GLOBALS
@import_request_variables('');

// Detect path
$PATH = str_replace("\\", '/', substr(dirname(__FILE__), 0, -3));

// Some very important function includes
foreach (array('config','wrapper','template','module','inc','stats','http') as $inc) {
	include($PATH . 'inc/' . $inc . '-functions.php');
} // END - foreach

// Own functions
include($PATH . 'inc/functions.php');

// Auto-detection... (patched by "Stelzi" aka. profi-concept, thanks again!)
$URL = 'http://' . detectServerName() . str_replace("\\", '/', dirname($_SERVER['PHP_SELF']));
while (substr($URL, -1, 1) == '/') { $URL = substr($URL, 0, -1); }

// Initialize the configuration
initConfig();

// CFG: HOST-URL (without trailing '/' !)
setConfigEntry('URL', $URL);

// CFG: DOMAIN-NAME (without trailing '/' !)
setConfigEntry('DOMAIN', detectDomainName());

// CFG: SERVER-PATH
setConfigEntry('PATH', $PATH);

// CFG: VERSION
setConfigEntry('VERSION', 'v0.2.1');

// CFG: AUTHOR
setConfigEntry('AUTHOR' , 'Roland H&auml;der');

// CFG: TITLE
setConfigEntry('TITLE', 'Mailer Project');

// CFG: COPY
setConfigEntry('COPY', 'Copyright &copy; 2003 - 2009, by Roland H&auml;der,<br />2009 - 2011 by Mailer Developer Team');

// CFG: CACHE_PATH
setConfigEntry('CACHE_PATH', 'inc/cache/');

// CFG: STATS-ENABLED (This setting is overwritten by ext-other; at least version 0.2.6)
setConfigEntry('stats_enabled', 'N');

// GLOBAL: DEBUG-TEMPLATE-CACHE
setConfigEntry('DEBUG_TEMPLATE_CACHE', 'N');

// CFG: SALT-LENGTH
setConfigEntry('salt_length', 10);

// Connect to the database...
loadIncludeOnce('inc/mysql-connect.php');

// Init stats system
initStatsSystem();

// [EOF]
?>
