<?php
/************************************************************************
 * Mailer-Project 0.2.1-FINAL                         Start: 01/07/2005 *
 * ==========================                   Last change: 01/07/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-coupon.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Coupon system                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Coupon-System                                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0');

// Version history array (add more with , '0.1' and so on)
setExtensionVersionHistory(array('0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(false);

switch (getExtensionMode()) {
	case 'register': // Do stuff when installtion is running (modules.php?module=admin&action=login is called)
		// Coupon data
		addDropTableSql('coupons');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_coupons` (
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`timestamp_created` TIMESTAMP NOT NULL DEFAULT '0000-00-00 00:00:00',
`timestamp_expired` TIMESTAMP NOT NULL DEFAULT '0000-00-00 00:00:00',
`coupon_type` ENUM('CODE','API') NOT NULL DEFAULT 'CODE',
`coupon_code` VARCHAR(30) NULL DEFAULT NULL,
`total_created` UNSIGNED BIGINT(20) NOT NULL DEFAULT 0,
`total_used` UNSIGNED BIGINT(20) NOT NULL DEFAULT 0,
`coupon_description` TEXT,
PRIMARY KEY (`id`),
UNIQUE KEY (`coupon_code`)
) TYPE = {?_TABLE_TYPE?} CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT = 'Created coupons'");

		// Coupon->user connection table
		addDropTableSql('user_coupons');
		addExtensionSql("CREATE TABLE `{?_MYSQL_PREFIX?}_coupons` (
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`coupon_id BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`userid` BIGINT(2) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`id`),
UNIQUE KEY `coupon_user` (`coupon_id`,`userid`)
) TYPE = {?_TABLE_TYPE?} CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT = 'Coupon->user connection'");
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addDropTableSql('coupons');
		addDropTableSql('user_coupons');
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql('');
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql('');
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addExtensionSql('');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
