<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/02/2011 *
 * ===================                          Last change: 06/02/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : _filter.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-                                 *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter for adding login bonus to the user's account
function FILTER_ADD_LOGIN_BONUS () {
	// Is the user data valid?
	if (!isMember()) {
		// Do only run for logged in members
		debug_report_bug(__FUNCTION__, __LINE__, 'Please only run this filter for logged in users.');
	} // END - if

	// Bonus is not given by default ;-)
	$bonus = false;
	if ((isExtensionInstalledAndNewer('sql_patches', '0.2.8')) && (isBonusRallyeActive()) && (getConfig('bonus_login_yn') == 'Y')) {
		// Update last login if far enougth away
		// @TODO This query isn't right, it will only update if the user was for a longer time away!
		SQL_QUERY_ESC('UPDATE
	`{?_MYSQL_PREFIX?}_user_data`
SET
	`last_login`=UNIX_TIMESTAMP()
WHERE
	`userid`=%s AND
	`last_login` < (UNIX_TIMESTAMP() - {?login_timeout?})
LIMIT 1',
			array(
				getMemberId()
			), __FUNCTION__, __LINE__
		);

		// Updated entry?
		$bonus = (!SQL_HASZEROAFFECTED());
	} // END - if

	if (($bonus === true) && (getRequestParameter('mode') == 'bonus')) {
		// Output message with added points
		$GLOBALS['message'] .= '<div class="tiny">{--MEMBER_BONUS_LOGIN_BONUS_ADDED--}</div>';
	} elseif (isExtensionActive('bonus')) {
		// No login bonus added!
		$GLOBALS['message'] .= '<div class="notice">{--MEMBER_BONUS_LOGIN_BONUS_NOT_ADDED--}</div>';
	}
}

// [EOF]
?>
