<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/10/2003 *
 * ===================                          Last change: 07/04/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_cats.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Add new categories and edit / delete existing    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neue Kategorien hinzufuegen und bestehende       *
 *                     editieren / loeschen                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Init variable to avoid a notice
$CATS = '';

if (isFormSent('add')) {
	// Add a new category
	$result = SQL_QUERY_ESC("SELECT `id` FROM `{?_MYSQL_PREFIX?}_cats` WHERE `cat`='%s' LIMIT 1",
		array(postRequestParameter('catname')), __FILE__, __LINE__);
	if (SQL_HASZERONUMS($result)) {
		// Category does not exists, we simply add it...
		SQL_QUERY_ESC("INSERT INTO `{?_MYSQL_PREFIX?}_cats` (`cat`, `visible`, `sort`) VALUES ('%s','%s','%s')",
			array(
				postRequestParameter('catname'),
				postRequestParameter('visible'),
				bigintval(postRequestParameter('parent') + 1)
			), __FILE__, __LINE__);
		$content = '{--CATEGORY_ADDED--}';
	} else {
		// Category does already exists
		$content = '<span class="notice">{--CATEGORY_ALREADY_EXISTS--}</span>';
	}

	// Free memory
	SQL_FREERESULT($result);

	// Display message
	displayMessage($content);
} elseif ((isFormSent()) && (isPostRequestParameterSet('id')) && (is_array(postRequestParameter('id')))) {
	// Change or delete categories...
	$TEXT = '';
	foreach (postRequestParameter('id') as $id => $cat) {
		// Secure id
		$id = bigintval($id);

		// Is the entry set?
		if (!empty($cat)) {
			switch (getRequestParameter('do')) {
				case 'edit': // Change categories
					SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_cats` SET `cat`='%s', `visible`='%s', `sort`=%s WHERE `id`=%s LIMIT 1",
						array(
							$cat,
							postRequestParameter('visible', $id),
							postRequestParameter('sort', $id),
							$id
						), __FILE__, __LINE__);
					$TEXT = '{--ADMIN_CATEGORIES_SAVED--}';
					break;

				case 'delete': // Delete categories
					SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_cats` WHERE `id`=%s LIMIT 1",
						array($id), __FILE__, __LINE__);
					SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_cats` WHERE `cat_id`=%s",
						array($id), __FILE__, __LINE__);
					$TEXT = '{--ADMIN_CATEGORIES_DELETED--}';
					break;
			} // END - switch
		} else {
			// Entry not saved
			$TEXT .= getMaskedMessage('ADMIN_CATEGORY_NOT_SAVED', $id);
		}
	} // END - foreach

	if (isset($TEXT)) {
		// Display message
		displayMessage($TEXT);
	} // END - if
} elseif ((isFormSent('delete')) && (ifPostContainsSelections())) {
	// Delete categories
	$OUT = '';
	foreach (postRequestParameter('sel') as $id => $value) {
		// Load row template and switch colors
		$OUT .= loadTemplate('admin_delete_cats_row', true, $id);
	} // END - foreach

	// Load main template
	loadTemplate('admin_delete_cats', false, $OUT);
} elseif ((isFormSent('edit')) && (ifPostContainsSelections())) {
	// Edit categories
	$OUT = '';
	foreach (postRequestParameter('sel') as $id => $value) {
		// Load data from the category
		$result = SQL_QUERY_ESC("SELECT `id`, `visible`, `sort` FROM `{?_MYSQL_PREFIX?}_cats` WHERE `id`=%s LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = SQL_FETCHARRAY($result);

		// Free result
		SQL_FREERESULT($result);

		// Prepare data for the row template
		$content['visible_selection'] = addSelectionBox('yn', $content['visible'], 'visible', $content['id']);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_edit_cats_row', true, $content);
	} // END - foreach

	// Load main template
	loadTemplate('admin_edit_cats', false, $OUT);
} else {
	// Init variable here
	$CATS = '';

	// Load all categories
	$result = SQL_QUERY("SELECT `id`, `cat`, `visible`, `sort` FROM `{?_MYSQL_PREFIX?}_cats` ORDER BY `sort` ASC", __FILE__, __LINE__);
	if (!SQL_HASZERONUMS($result)) {
		// Init variables
		$OUT = '';

		// List already existing categories for editing
		while ($content = SQL_FETCHARRAY($result)) {
			// Put cat descriptions into variable for the selection box
			$cat = $content['cat'];
			if (strlen($cat) > 40) $cat = substr($cat, 0, 37) . '...';
			$CATS .= '<option value="' . $content['sort'] . '">' . $cat . '</option>';

			// Load row template and switch color
			$OUT .= loadTemplate('admin_config_cats_row', true, $content);
		} // END - while

		// Free memory
		SQL_FREERESULT($result);

		// Load main template
		loadTemplate('admin_config_cats', false, $OUT);
	} // END - if

	// Remember in array
	$content['cats'] = $CATS;

	// Form to add a new category
	loadTemplate('admin_add_cat', false, $content);
}

// [EOF]
?>
