<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/24/2004 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-top10.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : TOP logins / best earner etc.                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : TOP-Logins / Bestverdiener usw.                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('guest', __FILE__);

if ((!isExtensionActive('top10')) && (!isAdmin())) {
	displayMessage(generateExtensionInactiveNotInstalledMessage('top10'));
	return;
} // END - if

// Init array
$rows = array();

//// TOP logins
$result = SQL_QUERY("SELECT
	`userid`, `total_logins`, `last_online`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`total_logins` > 0 AND
	`status`='CONFIRMED'
ORDER BY
	`total_logins` DESC
LIMIT {?top10_max?}", __FILE__, __LINE__);

$OUT = ''; $count = 1;
while ($content = SQL_FETCHARRAY($result)) {
	// Init nickname
	$content['nickname'] = '';

	// Get nickname
	if (isExtensionActive('nickname')) $content['nickname'] = getNickname($content['userid']);

	// Prepare data for template
	$content = array(
		'cnt'          => $count,
		'userid'       => $content['userid'],
		'nickname'     => $content['nickname'],
		'total_logins' => $content['total_logins'],
		'points'       => getTotalPoints($content['userid']),
		'last_online'  => generateDateTime($content['last_online'], 3),
	);

	// Load row template
	$OUT .= loadTemplate('guest_top10_row_login', true, $content);

	// Count one up
	$count++;
} // END - while

if ($count < getConfig('top10_max')) {
	// Add more "blank" rows
	for ($i = $count; $i <= getConfig('top10_max'); $i++) {
		// Prepare data for template
		$content = array(
			'index' => $i
		);

		// Load row template
		$OUT .= loadTemplate('guest_top10_empty5', true, $content);
	} // END - for
} // END - if

// Remember the rows in array
$rows['logins_out'] = $OUT;

// Free result
SQL_FREERESULT($result);

//// TOP earners
$result = SQL_QUERY("SELECT
	d.userid,
	(SUM(p.points) - d.used_points) AS `points`,
	d.last_online
FROM
	`{?_MYSQL_PREFIX?}_user_data` AS d
LEFT JOIN
	{?_MYSQL_PREFIX?}_user_points AS p
ON
	p.userid=d.userid
WHERE
	p.points > 0 AND
	d.`status`='CONFIRMED'
GROUP BY
	p.userid
ORDER BY
	points DESC,
	d.last_online DESC
LIMIT {?top10_max?}", __FILE__, __LINE__);

$OUT = ''; $count = 1;
while ($content = SQL_FETCHARRAY($result)) {
	// Init nickname
	$content['nickname'] = '';

	// Get nickname
	if (isExtensionActive('nickname')) $content['nickname'] = getNickname($content['userid']);

	// Prepare data for template
	$content = array(
		'cnt'         => $count,
		'userid'      => $content['userid'],
		'nickname'    => $content['nickname'],
		'points'      => $content['points'],
		'last_online' => generateDateTime($content['last_online'], 3)
	);

	// Load row template
	$OUT .= loadTemplate('guest_top10_row_earner', true, $content);

	// Count one up
	$count++;
} // END - while

if ($count < getConfig('top10_max')) {
	// Add more "blank" rows
	for ($i = $count; $i <= getConfig('top10_max'); $i++) {
		// Prepare data for template
		$content = array(
			'index' => $i
		);

		// Load row template
		$OUT .= loadTemplate('guest_top10_empty4', true, $content);
	} // END - for
} // END - if

// Remember the rows in array
$rows['points_out'] = $OUT;

// Free result
SQL_FREERESULT($result);

//// TOP referal "hunter"
$result = SQL_QUERY("SELECT
	d.userid,
	SUM(r.counter) AS refs,
	d.last_online
FROM
	`{?_MYSQL_PREFIX?}_user_data` AS d
LEFT JOIN
	{?_MYSQL_PREFIX?}_refsystem AS r
ON
	r.userid=d.userid
WHERE
	r.counter > 0 AND
	d.`status`='CONFIRMED'
GROUP BY
	r.userid
ORDER BY
	refs DESC,
	d.last_online DESC
LIMIT {?top10_max?}", __FILE__, __LINE__);

$OUT = ''; $count = 1;
while ($content = SQL_FETCHARRAY($result)) {
	// Init nickname
	$content['nickname'] = '';

	// Get nickname
	if (isExtensionActive('nickname')) $content['nickname'] = getNickname($content['userid']);

	// Prepare data for template
	$content = array(
		'cnt'         => $count,
		'userid'      => $content['userid'],
		'refs'        => $content['refs'],
		'nickname'    => $content['nickname'],
		'points'      => getTotalPoints($content['userid']),
		'last_online' => generateDateTime($content['last_online'], 3)
	);

	// Load row template
	$OUT .= loadTemplate('guest_top10_row_refs', true, $content);

	// Count one up
	$count++;
} // END - while

if ($count < getConfig('top10_max')) {
	// Add more "blank" rows
	for ($i = $count; $i <= getConfig('top10_max'); $i++) {
		// Prepare data for template
		$content = array(
			'index' => $i
		);

		// Load row template
		$OUT .= loadTemplate('guest_top10_empty5', true, $content);
	} // END - for
} // END - if

// Remember the rows in array
$rows['referals_out'] = $OUT;

// Free result
SQL_FREERESULT($result);

// Load final template
loadTemplate('guest_top10', false, $rows);

// [EOF]
?>
